package de.fhdw.gaming.ipspiel22.kopfundzahlundkante.moves.factory;

import de.fhdw.gaming.ipspiel22.kopfundzahlundkante.moves.KopfundZahlundKanteMove;

/**
 * Allows to create moves for Head and Tail.
 */
public interface KopfundZahlundKanteMoveFactory {

    /**
     * Creates a move in which the player choose "head".
     */
    KopfundZahlundKanteMove createHeadMove();

    /**
     * Creates a move in which the player choose "tail".
     */
    KopfundZahlundKanteMove createTailMove();
    
    /**
     * Creates a move in which the player choose "edge".
     */
    KopfundZahlundKanteMove createEdgeMove();
}
